import matplotlib.pyplot as plt
import numpy as np

#set-up for figure
fig, axs = plt.subplots(1, 2, constrained_layout = True)
fig.suptitle('Side-by-side Pie Subplots with Custom RGB Colors', fontsize=16)

#data, labels, and colors for subplots
data1 = [5,4,3,0]
data2 = [1,2,3,6]
models = ['model 1','model 2','model 3','model 4']
colors = [(0.1, 1.0, 0.0),(.1, .9, 0.0), (.3, .5, 0.0), (1.0, 0.0, 0.0)]
#(0.1, 1.0, 0.0) is for nearly pure green
#(.1, .9, 0.0) is for less nearly pure green
#(.3, .5, 0.0) is for green tint with some red (olive green)
#(1.0, 0.0, 0.0) is for pure red


#configure left pie chart
ax = axs[0]
ax.set_title('Models in Top half')
ax.pie(data1,
       labels = models,
       colors = colors,
       wedgeprops={'edgecolor': 'yellow'},
       autopct='%1.2f%%')

#configure right pie chart
ax = axs[1]
ax.set_title('Models in Bottom Half')
ax.pie(data2,
       labels = models,
       colors = colors,
       wedgeprops={'edgecolor': 'yellow'},
       autopct='%1.2f%%')

plt.show()
